This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 59497 - *-config scripts suggests bad CFLAGS
*-config scripts suggests bad CFLAGS
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: curl (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
: MoveUpstream, Triaged
Depends On:
Blocks: 59495
  Show dependency treegraph
 
Reported: 2002-02-08 19:16 EST by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-24 20:20:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Don't output -L/usr/lib or -I/usr/include (600 bytes, patch)
2002-02-24 20:20 EST, Peter Bowen
no flags Details | Diff

  None (edit)
Description Enrico Scholz 2002-02-08 19:16:45 EST
Description of Problem:

The shipped *-config script suggests CFLAGS, which are containing default system
includes. Please see bug #59495 for details.

| $ curl-config --cflags
| -I/usr/include


Version-Release number of selected component (if applicable):

VFlib2-devel-2.25.6-2
Comment 1 Enrico Scholz 2002-02-08 19:40:32 EST
Ooops, wrong component ;)

curl-devel-7.9.3-1
Comment 2 Peter Bowen 2002-02-24 20:20:06 EST
Created attachment 46560 [details]
Don't output -L/usr/lib or -I/usr/include
Comment 3 Trond Eivind Glomsrxd 2002-03-21 18:34:37 EST
Fixed in curl-7.9.5-2
Comment 4 Havoc Pennington 2002-12-19 12:01:18 EST
Marking MoveUpstream on *-config cflags bugs

Note You need to log in before you can comment on or make changes to this bug.